Package com.stardog.stark.io

# Class TrigParserWithRules

java.lang.Object
com.stardog.stark.io.turtle.TurtleParser
com.stardog.stark.io.trig.TrigParser
com.stardog.stark.io.TrigParserWithRules

All Implemented Interfaces:
  `RDFParser`

public class TrigParserWithRules extends TrigParser
Extended `TrigParser` which includes support for embedded rules.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrigParserWithRules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `parseBlock(IOParserContext theContext, StringBuilder sb, String blockName)`
  `protected boolean`
  `parseDirective(TurtleParserContext theContext, String directive)`
  `protected void`
  `parseKeyword(IOParserContext theContext, StringBuilder sb, String expected)`
  `protected void`
  `parseRule(IOParserContext theContext, Resource ruleID)`
  `protected Resource`
  `parseRuleID(IOParserContext theContext)`

  ### Methods inherited from class com.stardog.stark.io.trig.TrigParser

  `format, parseGraph, parseStatement, parseTriples`

  ### Methods inherited from class com.stardog.stark.io.turtle.TurtleParser

  `parse, parseBase, parseCollection, parseEmbeddedTriple, parseImplicitBlank, parseLongString, parseNodeID, parseNumber, parseObject, parseObjectList, parsePredicate, parsePredicateObjectList, parsePredicateWithEdgeProperties, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseString, parseSubject, parseSubjectResource, parseURI, parseValue, processComment, skipWSC`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.io.RDFParser

  `parse`

- ## Constructor Details

  - ### TrigParserWithRules

    public TrigParserWithRules()

- ## Method Details

  - ### parseDirective

    protected boolean parseDirective(TurtleParserContext theContext, String directive) throws IOException
    Overrides:
      `parseDirective` in class `TrigParser`
    Throws:
      `IOException`

  - ### parseRuleID

    protected Resource parseRuleID(IOParserContext theContext) throws IOException, InvalidRDF, RDFHandlerException
    Throws:
      `IOException`
      `InvalidRDF`
      `RDFHandlerException`

  - ### parseRule

    protected void parseRule(IOParserContext theContext, Resource ruleID) throws IOException, InvalidRDF, RDFHandlerException
    Throws:
      `IOException`
      `InvalidRDF`
      `RDFHandlerException`

  - ### parseBlock

    protected void parseBlock(IOParserContext theContext, StringBuilder sb, String blockName) throws IOException, InvalidRDF
    Throws:
      `IOException`
      `InvalidRDF`

  - ### parseKeyword

    protected void parseKeyword(IOParserContext theContext, StringBuilder sb, String expected) throws IOException, InvalidRDF, RDFHandlerException
    Throws:
      `IOException`
      `InvalidRDF`
      `RDFHandlerException`